# Wordpress
CTN_NAME="wordpress"
CTN_IMAGE=$(get_podcfg $CTN_NAME CTN_IMAGE)
CTN_PORT=$(get_podcfg $CTN_NAME CTN_PORT)
CTN_SRC=$(get_podcfg $CTN_NAME CTN_SRC)
CTN_WORKDIR=$(get_podcfg $CTN_NAME CTN_WORKDIR)
CTN_DEPENDENCY=$(get_podcfg $CTN_NAME CTN_DEPENDENCY)
IS_PROXY=$([[ -n $CFG_DOMAIN_PROXY ]] && echo true || echo false)

DB_NAME="$CFG_DB_NAME"
DB_USER="$CFG_DB_USER"
DB_PASS="$CFG_DB_PASS"

#pod_pre_config() {
#}

pod_run() {
    mkdir -p $CFG_LIVE_DATA/$CTN_WORKDIR
    podman run --dns=$DNS_CTN_IP --dns=$GATEWAY_IP --name $CTN_NAME --hostname $CTN_NAME \
               --network $NETWORK_NAME --detach --no-hosts \
               -e WORDPRESS_DB_HOST=wp-mariadb.$DOMAIN_NAME:3306 \
               -e WORDPRESS_DB_NAME=$DB_NAME \
               -e WORDPRESS_DB_USER=$DB_USER \
               -e WORDPRESS_DB_PASSWORD=$DB_PASS \
               -v "$COMMON_ETC_HOSTS":/etc/hosts \
               -v "$CFG_LIVE_DATA/$CTN_WORKDIR":/var/www/html \
               $(eval $IS_PROXY || echo "--publish=$CTN_PORT:$CTN_INTERNAL_PORT") \
               --expose "25/tcp"  --expose 80 --expose "465/tcp"  --expose "587/tcp" --expose $CTN_INTERNAL_PORT \
               $CTN_SRC/$CTN_IMAGE
}

# Remote configuration jobs (// tasks after containers run())
pod_config() {
    (
        source $SCRIPT_ROOT/gen/wp_config.src && \
        podman container exec $CTN_NAME bash -c "$_add_smtp_config1" && \
        podman container exec $CTN_NAME bash -c "$_add_smtp_config2"
    )
    #(
    #    _extra_soap_setup="apt-get update; apt-get install -y libxml2-dev; docker-php-ext-install soap"
    #    add_setup_cmd_to_ctn ${_cont} "$_extra_soap_setup" "Soap php plugin loaded" "${_cont}"
    #)

}

#pod_post_config() {
#}
